libzypp 17.37.10

algorithm.h File Reference
`#include <zypp-core/zyppng/async/AsyncOp>`
`#include <functional>`

Go to the source code of this file.

## Classes
struct | zyppng::detail::ContinueUntilValidPredicate
struct | zyppng::detail::AsyncFirstOfImpl< Container, AsyncResType, Transformation, Predicate, DefaultType >
struct | zyppng::detail::FirstOfHelper< Transformation, Predicate, DefaultType >
class | zyppng::NotFoundException

## Namespaces
namespace | zyppng
namespace | zyppng::detail

## Functions
template<class Transformation, class DefaultType, class Predicate>
auto | zyppng::firstOf (Transformation &&transformFunc, DefaultType &&def, Predicate &&predicate=detail::ContinueUntilValidPredicate())
template<typename Excpt, typename ... Rest>
bool | zyppng::detail::containsOneOfExceptionImpl (const std::exception_ptr &exceptionPtr)
template<typename ... Excpt>
bool | zyppng::containsOneOfException (const std::exception_ptr &exceptionPtr)
template<typename Excpt>
bool | zyppng::containsException (const std::exception_ptr &exceptionPtr)